# Uninstall UDisk - DetachUDisk

## Overview

Uninstall a UDisk that has already been mounted on a specified UHost instance.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DetachUDisk`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **UDiskId** | string | UDisk Instance ID to be Uninstalled |**Yes**|
| **UHostId** | string | UHost Instance ID. [You must fill in either UHostId or HostId, this field is about to be deprecated, it is recommended to use HostId] |No|
| **HostId** | string | Host Instance ID |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UHostId** | string | Uninstall the UHost instance ID. [Soon to be deprecated, it is recommended to use HostId] |No|
| **UDiskId** | string | Uninstalled UDisk Instance ID |No|
| **HostId** | string | Uninstalled Host Instance ID |No|




## Example

### Request Example
    
```
http://api.scloudsg.com/?Action=DetachUDisk
&Region=cn-bj2
&Zone=cn-bj2-04
&ProjectId=org-xx
&UHostId=uhost-xxx
&UDiskId=bs-xxx
&HostId=GPFloGtI
&HostProduct=VvrpIUOW
&HostId=LdgfqSBc
&HostProduct=xCwEnFbk
```

### Response Example
    
```json
{
  "Action": "DetachUDiskResponse",
  "HostId": "SneUMwbM",
  "RetCode": 0,
  "UDiskId": "bs-xxx",
  "UHostId": "uhost-xxx"
}
```





